Page MenuHomePhabricator

Topic summary does not inherit suppression status of topic
Closed, ResolvedPublic

Description

Both the topic summary itself, and the topic summary actions (in history) still appear, though the title is not disclosed:

(cur prev topic) 02:03, 15 April 2015 . . 10.0.2.2 (Talk) edited topic summary on This topic was suppressed by Admin . . (+3)‎ undo
(cur prev topic) 02:02, 15 April 2015 . . 10.0.2.2 (Talk) created topic summary on This topic was suppressed by Admin . . (+14)‎ undo

Maybe this isn't following root permission (since I think it's technically not a reply, direct or indirect, to the topic title). It might need a custom handler in FlowActions for view-topic-summary and history. Or root permission could possibly be changed to take it into account.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 1 2015, 10:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mattflaschen-WMF renamed this task from Topic summary actions show for suppressed topics to Topic summary does not inherit suppression status of topic.May 1 2015, 10:52 PM
Mattflaschen-WMF triaged this task as Unbreak Now! priority.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF set Security to None.
Mattflaschen-WMF updated the task description. (Show Details)

Change 210074 had a related patch set uploaded (by Matthias Mullie):
Summary should also check root (topic) permissions

https://gerrit.wikimedia.org/r/210074

Mattflaschen-WMF lowered the priority of this task from Unbreak Now! to High.May 19 2015, 6:19 PM

Per retrospective (though this is a border-line case since it does partly break moderation)

Change 210074 merged by jenkins-bot:
Summary should also check root (topic) permissions

https://gerrit.wikimedia.org/r/210074

DannyH closed this task as Resolved.Jun 2 2015, 4:24 PM
DannyH moved this task from QA Review to Done on the Collaboration-Team-Sprint-B-2015-05-20 board.
DannyH added a subscriber: DannyH.